﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace aspsample
{
    public partial class _Default : Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            this.gridDashboard.DataSource = order;
            this.gridDashboard.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }


        protected void btnLaunch_Click(object sender, EventArgs e)
        {
            dlgAddCRMA.ShowOnInit = true;
        }

        protected void btnClientClick_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            lblResult.Text = "It worked!";
            if (tabwiz.SelectedItemIndex == 0)
                tabwiz.SelectedItemIndex = 1;
            else if (tabwiz.SelectedItemIndex == 1)
                tabwiz.SelectedItemIndex = 2;
            else if (tabwiz.SelectedItemIndex == 2)
                tabwiz.SelectedItemIndex = 3;
            else if (tabwiz.SelectedItemIndex == 3)
                tabwiz.SelectedItemIndex = 4;
            else if (tabwiz.SelectedItemIndex == 4)
                tabwiz.SelectedItemIndex = 0;
            dlgAddCRMA.ShowOnInit = true;
        }

        protected void cancel1_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            clearValues();
            dlgAddCRMA.ShowOnInit = false;
        }
        public void clearValues()
        {
            custId.Text = "";
            orderId.Value = null;
            empid.Value = null;
            freight.Value = null;
            ship.Text = "";
            tabwiz.SelectedItemIndex = 0;
        }
        protected void again_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            clearValues();
            dlgAddCRMA.ShowOnInit = true;
        }

        protected void save_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            order.Add(new Orders(long.Parse(orderId.Value), custId.Text, Int32.Parse(empid.Value), Double.Parse(freight.Value), new DateTime(1992, 08, 05), ship.Text));
            this.gridDashboard.DataSource = order;
            clearValues();
            dlgAddCRMA.ShowOnInit = false;
        }

        protected void prev1_Click(object Sender, Syncfusion.JavaScript.Web.ButtonEventArgs e)
        {
            if (tabwiz.SelectedItemIndex == 1)
                tabwiz.SelectedItemIndex = 0;
            else if (tabwiz.SelectedItemIndex == 2)
                tabwiz.SelectedItemIndex = 1;
            else if (tabwiz.SelectedItemIndex == 3)
                tabwiz.SelectedItemIndex = 2;
            else if (tabwiz.SelectedItemIndex == 4)
                tabwiz.SelectedItemIndex = 3;
            dlgAddCRMA.ShowOnInit = true;
        }

    }
}