﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="aspsample._Default" %>


<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="mainContent">
    <asp:Label ID="lblResult" runat="server" />
    <div>
        <ej:Grid ID="gridDashboard" runat="server" AllowPaging="true">
            <ClientSideEvents ToolbarClick="onToolBarClick" ContextClick="onContextClick" />
            <EditSettings AllowAdding="True" EditMode="Dialog"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
            <ContextMenuSettings EnableContextMenu="true" ContextMenuItems="Add Record"></ContextMenuSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
    </div>
    <ej:Dialog ID="dlgAddCRMA" Width="550" runat="server" ShowOnInit="false" Content="#masterForm">
        <DialogContent>
            <ej:Tab ID="tabwiz" runat="server">
                <Items>
                    <ej:TabItem ID="tab1" Text="Pane 1">
                        <ContentSection>
                           Order ID:  <ej:NumericTextBox ID="orderId" runat="server" ShowSpinButton="false"></ej:NumericTextBox>
                            <br />
                            <ej:Button ID="cancel1" runat="server" Text="Cancel" OnClick="cancel1_Click" />
                            <ej:Button ID="next" Type="Button" runat="server" Text="Next" OnClick="btnClientClick_Click" />
                        </ContentSection>
                    </ej:TabItem>
                    <ej:TabItem ID="tab2" Text="Pane 2">
                        <ContentSection>
                            Customer ID: <asp:TextBox runat="server" ID="custId"></asp:TextBox>
                            <br />
                            <ej:Button ID="prev1" runat="server" Text="Back" OnClick="prev1_Click" />
                            <ej:Button ID="cancel2" Type="Button" runat="server" Text="Cancel" OnClick="cancel1_Click" />
                            <ej:Button ID="next1" Type="Button" runat="server" Text="Next" OnClick="btnClientClick_Click" />
                        </ContentSection>
                    </ej:TabItem>
                     <ej:TabItem ID="tab3" Text="Pane 3">
                        <ContentSection>
                            Employee ID: <ej:NumericTextBox ID="empid" runat="server" ShowSpinButton="false"></ej:NumericTextBox>
                            <br />
                            <ej:Button ID="prev2" Type="Button" runat="server" Text="back" OnClick="prev1_Click" />
                            <ej:Button ID="cancel3" runat="server" Text="Cancel" OnClick="cancel1_Click" />
                            <ej:Button ID="next2" Type="Button" runat="server" Text="Next" OnClick="btnClientClick_Click" />                            
                        </ContentSection>
                    </ej:TabItem>
                    <ej:TabItem ID="tab4" Text="Pane 4">
                        <ContentSection>
                            Freight: <ej:CurrencyTextBox runat="server" ID="freight" DecimalPlaces="2"></ej:CurrencyTextBox>
                            <br />
                            <ej:Button ID="prev3" runat="server" Text="Back" OnClick="prev1_Click" />
                            <ej:Button ID="cancel4" Type="Button" runat="server" Text="Cancel" OnClick="cancel1_Click" />
                            <ej:Button ID="next3" Type="Button" runat="server" Text="Next" OnClick="btnClientClick_Click" />
                        </ContentSection>
                    </ej:TabItem>
                      <ej:TabItem ID="tab5" Text="Pane 5">
                        <ContentSection>
                           Ship City: <asp:TextBox runat="server" ID="ship"></asp:TextBox>
                            <br />
                            <ej:Button ID="prev4" runat="server" Text="Back" OnClick="prev1_Click" />
                            <ej:Button ID="cancel5" Type="Button" runat="server" Text="Cancel" OnClick="cancel1_Click" />
                            <ej:Button ID="again" Type="Button" runat="server" Text="Add again" OnClick="again_Click" />
                            <ej:Button ID="save" Type="Button" runat="server" Text="Save" OnClick="save_Click" />
                        </ContentSection>
                    </ej:TabItem>
                </Items>
            </ej:Tab>

        </DialogContent>
    </ej:Dialog>
    <asp:Button ID="btnLaunch" runat="server" OnClick="btnLaunch_Click" Text="Click Me" />
</asp:Content>
<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="ScriptContent">
    <script type="text/javascript">

        function ButtonClick() {
            alert("Clicked!");
        };

        function onDialogClose(args) {
            alert("close fired");
            $("#mainContent_dlgAddCRMA").ejDialog({
                enabled: false

            });
            //OnSuccess(); 
        }

        function openWizard() {
            alert("wizard fired");
            $("#mainContent_dlgAddCRMA").ejDialog({
                enabled: true,
                title: "built in wizard"
            });
            var dialogobj = $("#mainContent_dlgAddCRMA").data("ejDialog");
            dialogobj.open();

        }

        function onToolBarClick(args) {
            if (args.itemName == "Add") {
                alert('toolbar fired');
                args.cancel = true; //prevent the default behavior
                //$("#mainContent_dlgAddCRMA").data("ejDialog") !== undefined && $("#mainContent_dlgAddCRMA").ejDialog("destroy"); //destroy the dialog if element is created
                var obj = $("#<%=gridDashboard.ClientID%>").ejGrid("instance");
                if (null == obj)
                    alert('object NULL');
                else {
                    alert('object NOT NULL');
                    openWizard(); // render the dialog 
                }

                //obj._startAdd();
            }

        }
        function onContextClick(args) {
            if (args.text == "Add Record") {
                var obj = $("#MainContent_gridDashboard").ejGrid("instance");
                args.cancel = true; // prevent default behavior
                // $("#mainContent_dlgAddCRMA").data("ejDialog") !== undefined && $("#mainContent_dlgAddCRMA").ejDialog("destroy"); //destroy the dialog if element is created
                openWizard(); // render the dialog 

                //obj._startAdd(); // you can use the built in wizard here

            }
        }
    </script>
</asp:Content>

